%global         momorel 5

Name:           perl-Debug-ShowStuff
Version:        1.16
Release:        %{momorel}m%{?dist}
Summary:        Collection of handy debugging routines for displaying the values of variables with a minimum of coding
License:        "GPL+ or Artistic"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Debug-ShowStuff/
Source0:        http://www.cpan.org/authors/id/M/MI/MIKO/Debug-ShowStuff-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-MemHandle >= 0.06
BuildRequires:  perl-Scalar-Util >= 1.21
BuildRequires:  perl-String-Util >= 1.21
BuildRequires:  perl-Tie-IxHash >= 1.1
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
Debug::ShowStuff grew dynamically from my needs in debugging code. I found
myself doing the same tasks over and over... displaying the keys and
values in a hash, displaying the elements in an array, displaying the
output of STDERR in a web page, etc. Debug::ShowStuff began as two or
three of my favorite routines and grew as I added to that collection.
Finally I decided to publish these tools in the hope that other Perl
hackers will find them useful.

%prep
%setup -q -n Debug-ShowStuff-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{perl_vendorlib}/Debug/ShowStuff.pm
%{perl_vendorlib}/Debug/ShowStuff.pod
%{perl_vendorlib}/Debug/ShowStuff
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-5m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-4m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-3m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-2m)
- rebuild against perl-5.18.0

* Wed Mar 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-1m)
- update to 1.16

* Sun Mar 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.15-1m)
- update to 1.15

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.14-2m)
- rebuild against perl-5.16.3

* Sun Feb 24 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.14-1m)
- update to 1.14

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.13-8m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.13-7m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.13-6m)
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.13-5m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.13-4m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.13-3m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.13-2m)
- rebuild for new GCC 4.6

* Fri Jan 07 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.13-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
